//go:generate go mod vendor
//go:generate protoc --go_out=plugins=grpc,paths=source_relative:. --proto_path=. --proto_path=vendor/gitlab.mashroom.com/mashroom/backend mashroom_auth.proto
//go:generate rm -r vendor
//go:generate mockgen -package=mockauth -destination=mock/client.go . AuthServiceClient
//go:generate go fmt ./...
//go:generate go fix ./...
//go:generate goimports -w ./
//go:generate go mod tidy

// Package auth provides auth service api
package auth // import "gitlab.mashroom.com/mashroom/backend/auth/api"

import (
	_ "gitlab.mashroom.com/mashroom/backend/account/api" // required vendor
)
